Skip to main content
`Ctrl`+`K`

# GLImageItem

class pyqtgraph.opengl.GLImageItem(

  data,
  smooth=False,
  glOptions='translucent',
  parentItem=None,

)

  Bases: `GLGraphicsItem`

  Displays image data as a textured quad.

  __init__(
    data,
    smooth=False,
    glOptions='translucent',
    parentItem=None,
  )

    Arguments: |
    data | Volume data to be rendered. Must be 3D numpy array (x, y, RGBA) with dtype=ubyte. (See functions.makeRGBA)
    smooth | (bool) If True, the volume slices are rendered with linear interpolation